# RPM specfile for control-center2 module
# Generated Tue Oct 29 09:21:23 2002 GMT by Ximian build system
# $Id: bb_do,v 1.190 2002/07/15 15:56:59 thunder Exp $
# from $Id: ximian-build.conf,v 1.14 2002/08/02 16:55:47 jacob Exp $

%define nam	control-center2
%define ver	2.0.2.92.0.200210290744
%define ximrev	1

Name:     	control-center2
Version: 	2.0.2.92.0.200210290744
Release:	0.snap.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.2 / i386
Copyright:	LGPL/GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org
Epoch:		1
Source0:	control-center-2.0.2.92.tar.gz
Summary:	The GNOME Control Center
Group:		System Environment/Libraries
Provides:	ximian-control-center2 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Prereq:	GConf2

%description

This package contains utilities to configure the GNOME desktop.  The
GNOME Control Center allows you to alter the appearance, focus
behavior, screen saver, keyboard and mouse properties, and more.  It's
part of GNOME, the complete user-friendly desktop based entirely on
free software.


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS
/usr/bin/*
/usr/lib/bonobo/servers/*
/usr/share/control-center-2.0
/usr/share/gnome/vfolders/*
/usr/*/locale/*
/usr/share/pixmaps/*
/usr/share/gnome/cursor-fonts
/usr/share/applications/*
/usr/share/gnome-2.0/ui/*
/usr/share/idl/*
%config /etc/gconf/schemas/*


%post
ldconfig
for schema in apps_gnome_settings_daemon_screensaver ; do GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule /etc/gconf/schemas/$schema.schemas; done

# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n control-center-2.0.2.92
    ;;
all)
%setup  -q -n control-center-2.0.2.92
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Oct 29 2002 Ximian, Inc.

- Version: 1:2.0.2.92.0.200210290744-0.snap.ximian.1
- Summary: New build.
- New automated build.

